Bug 1395371 - While editing a user, "Full Name" field displays "Username" value instead of user's actual Full Name
Summary: While editing a user, "Full Name" field displays "Username" value instead of ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Jozef Zigmund
QA Contact: Niyaz Akhtar Ansari
URL:
Whiteboard: ui:rbac:user
Depends On:
Blocks: 1436756
TreeView+ depends on / blocked
 
Reported: 2016-11-15 19:54 UTC by Ramesh A
Modified: 2017-05-31 14:23 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:23:49 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
rananda: automate_bug-


Attachments (Terms of Use)
user details page (139.44 KB, image/png)
2016-11-15 19:54 UTC, Ramesh A
no flags Details
user edit page (137.50 KB, image/png)
2016-11-15 19:55 UTC, Ramesh A
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Ramesh A 2016-11-15 19:54:51 UTC
Created attachment 1220942 [details]
user details page

Description of problem:
While editing a user, "Full Name" field displays "Username" value instead of user's actual Full Name

Version-Release number of selected component (if applicable):
5.7.0.10-beta3.20161109111947_9a61b18 

How reproducible:
Very

Steps to Reproduce:
1. Create a new user or edit the existing user
2. Make a note of the user's Full Name before in the user details page
3. Now Click on Configuration ==> Edit this User and check for the user's Full Name

Actual results:
Displays Username instead of user's actual Full Name. Refer the screenshot "user details page" and "user edit page" for more details

Expected results:
Should display user's actual Full Name while editing the user

Additional info:

Comment 2 Ramesh A 2016-11-15 19:55:17 UTC
Created attachment 1220943 [details]
user edit page

Comment 4 CFME Bot 2016-11-30 18:36:28 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/16ae58a06e7ea93c989eca0b39702ef43cebba84

commit 16ae58a06e7ea93c989eca0b39702ef43cebba84
Author:     Jozef Zigmund <jzigmund@redhat.com>
AuthorDate: Tue Nov 29 17:03:23 2016 +0100
Commit:     Jozef Zigmund <jzigmund@redhat.com>
CommitDate: Wed Nov 30 17:13:54 2016 +0100

    Fix user Full Name on edit page
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1395371

 app/controllers/ops_controller/ops_rbac.rb | 16 ++++++----------
 1 file changed, 6 insertions(+), 10 deletions(-)

Comment 5 Niyaz Akhtar Ansari 2017-03-09 08:21:22 UTC
Verified in version 5.8.0.4

Comment 6 Satoe Imaishi 2017-05-23 19:52:20 UTC
5.7.z BZ: https://bugzilla.redhat.com/show_bug.cgi?id=1436756

Comment 8 errata-xmlrpc 2017-05-31 14:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.